﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MangoTest.DAL;
using MangoChat;
using MangoService;

namespace MangoTest
{
    public partial class Login : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (ChatService.GetSessionCookie(HttpContext.Current) != null)
                Response.Redirect("~/Test.aspx");
        }

        protected void btnLogin_Click(object sender, EventArgs e)
        {
            var user = FakeDAL.GetUser(txtUsername.Text);
            if (user != null) //&& user.Password == txtPassword.Text)
            {
                Session["LoggedInUserName"] = user.Username;
                Session["LoggedInUserId"] = user.UserId;

                ChatService.StartUserSession(HttpContext.Current, new MangoChat.User { UserId = user.UserId.ToString(), 
                    Username = user.DisplayName}); 
                
                Response.Redirect("~/Test.aspx");
                
            }
        }


    }
}